Public Attributes | List of all members
ble_l2cap_evt_enh_conn_ind_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

L2cap Enhanced Connected Indicate event for BLE_L2CAP_EVT_ENH_CONN_IND. More...

`#include <ble_l2cap.h>`

## Public Attributes
uint8_t | status
| 0 success, otherwise failed. More...
uint16_t | le_psm
| Le_psm number. More...
uint16_t | peer_credits
| It indicates the number of F-frames that the peer device can. More...
uint16_t | peer_mtu
| It indicates the maximum SDU size (in octets) that the peer device can receive. More...
uint16_t | peer_mps
| It indicates the maximum payload size (in octets)that the peer device can receive. More...
uint16_t | local_credits
| It indicates the number of LE-frames that the local device can receive. More...
uint16_t | chl_num
| The chl_num field specifies the number of channel created. More...
uint16_t | local_cid [5]
| The local source channel id. More...

## Detailed Description

L2cap Enhanced Connected Indicate event for BLE_L2CAP_EVT_ENH_CONN_IND.

Definition at line 249 of file ble_l2cap.h.

## Member Data Documentation

## ◆ chl_num

uint16_t ble_l2cap_evt_enh_conn_ind_t::chl_num

The chl_num field specifies the number of channel created.

Definition at line 257 of file ble_l2cap.h.

## ◆ le_psm

uint16_t ble_l2cap_evt_enh_conn_ind_t::le_psm

Le_psm number.

Definition at line 252 of file ble_l2cap.h.

## ◆ local_cid

uint16_t ble_l2cap_evt_enh_conn_ind_t::local_cid[5]

The local source channel id.

Definition at line 258 of file ble_l2cap.h.

## ◆ local_credits

uint16_t ble_l2cap_evt_enh_conn_ind_t::local_credits

It indicates the number of LE-frames that the local device can receive.

Definition at line 256 of file ble_l2cap.h.

## ◆ peer_credits

uint16_t ble_l2cap_evt_enh_conn_ind_t::peer_credits

It indicates the number of F-frames that the peer device can.

Definition at line 253 of file ble_l2cap.h.

## ◆ peer_mps

uint16_t ble_l2cap_evt_enh_conn_ind_t::peer_mps

It indicates the maximum payload size (in octets)that the peer device can receive.

Definition at line 255 of file ble_l2cap.h.

## ◆ peer_mtu

uint16_t ble_l2cap_evt_enh_conn_ind_t::peer_mtu

It indicates the maximum SDU size (in octets) that the peer device can receive.

Definition at line 254 of file ble_l2cap.h.

## ◆ status

uint8_t ble_l2cap_evt_enh_conn_ind_t::status

0 success, otherwise failed.

Definition at line 251 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h